Show / Hide Table of Contents

# Class MarketBoardPurchaseHandler

Represents market board purchase information. This message is sent from the client when a purchase is made at a market board.

##### Inheritance

System.Object
MarketBoardPurchaseHandler

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Network.Structures

###### Assembly: Dalamud.dll

##### Syntax

    public class MarketBoardPurchaseHandler

### Properties

| Improve this Doc View Source

#### CatalogId

Gets the item ID of the item that was purchased.

##### Declaration

    public uint CatalogId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ItemQuantity

Gets the quantity of the item that was purchased.

##### Declaration

    public uint ItemQuantity { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ListingId

Gets the object ID of the item listing.

##### Declaration

    public ulong ListingId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### PricePerUnit

Gets the unit price of the item.

##### Declaration

    public uint PricePerUnit { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RetainerId

Gets the object ID of the retainer associated with the sale.

##### Declaration

    public ulong RetainerId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

### Methods

| Improve this Doc View Source

#### Read(IntPtr)

Reads market board purchase information from the struct at the provided pointer.

##### Declaration

    public static MarketBoardPurchaseHandler Read(IntPtr dataPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dataPtr | A pointer to a struct containing market board purchase information from the client.

##### Returns

Type | Description
--- | ---
MarketBoardPurchaseHandler | An object representing the data read.